BEEM - Android XMPP - Bug #226

Contact List - Service connection leaked
12/11/2009 06:17 PM - Vincent Véronis

Status:
Priority:
Assignee:
Category:
Target version:

Affected version:

Closed Start date: 12/11/2009
Normal Due date:

Nikita Kozlov % Done: 100%
User Interface Estimated time: 0.00 hour

0.1

Locale:

Description

D/dalvikvm( 698): GC freed 1566 objects / 103784 bytes in 210ms

E/ActivityThread( 698): Activity com.beem.project.beem.ui.ContactList has leaked ServiceConnection
com.beem.project.beem.ui.ContactList$BeemServiceConnection@4361eef0 that was originally bound here

E/ActivityThread( 698): android.app.ServiceConnectionLeaked: Activity com.beem.project.beem.ui.ContactList has leaked
ServiceConnection com.beem.project.beem.ui.ContactList$BeemServiceConnection@4361eef0 that was originally bound here
at android.app.ActivityThread$Packagelnfo$ServiceDispatcher.<init>(Activity Thread.java:886)
at android.app.ActivityThread$Packagelnfo.getServiceDispatcher(Activity Thread.java:781)
at android.app.ApplicationContext.bindService(ApplicationContext.java:820)

at android.content.ContextWrapper.bindService(ContextWrapper.java:307)

at com.beem.project.beem.ui.ContactList.onStart(ContactList.java:227)

at android.app.Instrumentation.callActivityOnStart(Instrumentation.java:1205)

at android.app.Activity.performStart(Activity.java:3490)

at android.app.ActivityThread.performLaunchActivity (Activity Thread.java:2240)

at android.app.ActivityThread.handleLaunchActivity(Activity Thread.java:2284)

at android.app.ActivityThread.handleRelaunchActivity(ActivityThread.java:3278)

at android.app.ActivityThread.access$1900(ActivityThread.java:112)

at android.app.ActivityThread$H.handleMessage(ActivityThread.java:1696)

at android.os.Handler.dispatchMessage(Handler.java:99)

at android.os.Looper.loop(Looper.java:123)

at android.app.ActivityThread.main(ActivityThread.java:3948)

at java.lang.reflect.Method.invokeNative(Native Method)

at java.lang.reflect.Method.invoke(Method.java:521)

at com.android.internal.os.Zygotelnit$MethodAndArgsCaller.run(Zygotelnit.java:782)

at com.android.internal.os.Zygotelnit.main(Zygotelnit.java:540)

at dalvik.system.NativeStart.main(Native Method)

D/dalvikvm( 565): GC freed 1683 objects / 77520 bytes in 85ms

History

#1 - 12/21/2009 10:54 PM - Frédéric Barthéléry

- Status changed from New to Resolved

Fixed

#2 - 12/21/2009 10:54 PM - Frédéric Barthéléry
- % Done changed from 0 to 100

#3 - 01/04/2010 06:48 PM - Frédéric Barthéléry

- Status changed from Resolved to Closed

Closed
